* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

img {width: 100%;}

body {
    font-family: 'Arial';
    line-height: 1.5px;
}

/* ========================= */
.main-container {
    width: 90vw;
    margin: 0 auto;
    padding: 40px 0;
}
.main-container > h2 {
    text-align: center;
    padding: 10px 0;
    font-size: 2rem;
}
.main-container > p {
    font-weight: 300;
    padding: 10px 0;
    opacity: 0.7;
    text-align: center;
    margin: 1rem 0;
}
.category-head {
    margin: 30px 0;
}
.category-head ul {
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.category-title {
    flex: 0 0 calc(16.6667% - 10px);
    display: flex;
    justify-content: center;
    background: #a8a8a8;
    padding: 0.975rem;
    margin: 5px;
    cursor: pointer;
    transition: all 0.4s ease;
}
.category-title:hover {
    opacity: 0.7;
}
.category-title li {
    padding: 0 10px;
}
.category-title span {
    color: #222;
}
.posts-main-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 40px;
}
.posts-main-container div {
    box-shadow: 0px 8px 22px -12px rgba(0, 0, 0, 0.64);
}
.post-img {
    position: relative;
}
.category-name {
    position: absolute;
    top: 20px;
    left: 20px;
    text-transform: uppercase;
    font-size: 0.875rem;
    color: #ffffff;
    padding: 14px 10px;
}
.culture .category-name {
    background: #00a7ae;
}

.politics .category-name {
    background: #f0544f;
}

.finance .category-name {
    background: #2c2a4a;
}

.post-content {
    padding: 1.5rem;
}
.post-content-top {
    background: #80ced7;
    color: #fff;
    opacity: 0.8;
    padding: 5px 0 5px 15px;
}
.post-content-top span {
    padding-right: 20px;
}
.post-content-top .fa-comment,
.post-content-top .fa-calendar {
    padding-right: 5px;
}

.post-content h2 {
    font-size: 22px;
    padding: 12px 0;
    font-weight: 400;
}
.post-content p {
    opacity: 0.7;
    font-size: 15px;
    line-height: 1.8;
}
.read-btn {
    border: none;
    padding: 12px 4px;
    font-weight: 400;
    display: block;
    background: transparent;
    margin:  10px auto;
    border: 1px solid #292929;
    border-radius: 3px;
}
.read-btn:hover {
    background: #f6f6f6;
}
/* АДАПТАЦИЯ в 2 колонки при скроле: */
@media(max-width: 1170px) {
    .posts-main-container {
        grid-template-columns: repeat(2, 1fr);
    }
}
/* АДАПТАЦИЯ в 1 при скроле: */
@media(max-width: 768px) {
    .posts-main-container {
        grid-template-columns: 1fr;
    }
}
.active {background: #f0544f;}
